GET
/
api
/
v1
/
users
/
curl --request GET \
  --url 'https://hpay-api.host-sl.com/api/v1/users/?is_active=true' \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
[
  {
    "id": "user_abc123",
    "app_user_id": 1,
    "name": "John Doe",
    "email": "john@example.com",
    "phone_number": "+23279123456",
    "is_active": true,
    "created_at": "2025-01-16T10:30:00Z"
  },
  {
    "id": "user_xyz789",
    "app_user_id": 2,
    "name": "Jane Smith",
    "email": "jane@example.com",
    "phone_number": "+23279654321",
    "is_active": true,
    "created_at": "2025-01-17T11:45:00Z"
  }
]

Endpoint

GET /api/v1/users/

Headers

api-key
string
required
Your application API key
secret-key
string
required
Your application secret key

Query Parameters

is_active
boolean
Filter users by their active status. If not provided, returns all users.

Response

The response is an array of user objects.
id
string
Unique identifier for the user
app_user_id
integer
The user ID from your own application
name
string
User’s full name
email
string
User’s email address
phone_number
string
User’s phone number
is_active
boolean
Whether the user account is active
created_at
string
ISO 8601 timestamp of creation
curl --request GET \
  --url 'https://hpay-api.host-sl.com/api/v1/users/?is_active=true' \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
[
  {
    "id": "user_abc123",
    "app_user_id": 1,
    "name": "John Doe",
    "email": "john@example.com",
    "phone_number": "+23279123456",
    "is_active": true,
    "created_at": "2025-01-16T10:30:00Z"
  },
  {
    "id": "user_xyz789",
    "app_user_id": 2,
    "name": "Jane Smith",
    "email": "jane@example.com",
    "phone_number": "+23279654321",
    "is_active": true,
    "created_at": "2025-01-17T11:45:00Z"
  }
]